class ConfigurationModel {
  String urlApi;
  String botName;
  String avatarImage;
  String wsUrl;

  static ConfigurationModel _instance;

  factory ConfigurationModel(
      {String urlApi = 'https://develop.carespace.ai/api/admin',
      String botName = 'Amanda',
      String avatarImage = 'assets/images/default_bot_avatar.jpg',
      String wsUrl = 'wss://develop.carespace.ai/api/bot/web'}) {
    _instance ??= ConfigurationModel._internal(
        urlApi: urlApi,
        botName: botName,
        avatarImage: avatarImage,
        wsUrl: wsUrl);
    return _instance;
  }

  ConfigurationModel.fromJson(Map<String, dynamic> json) {
    urlApi = json != null && json['urlApi'] != null ? json['urlApi'] : null;
    botName = json != null && json['botName'] != null ? json['botName'] : null;
    avatarImage = json != null && json['avatarImage'] != null
        ? json['avatarImage']
        : null;
    wsUrl = json != null && json['wsUrl'] != null ? json['wsUrl'] : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['urlApi'] = this.urlApi;
    data['botName'] = this.botName;
    data['avatarImage'] = this.avatarImage;
    data['wsUrl'] = this.wsUrl;
    return data;
  }

  ConfigurationModel._internal(
      {this.urlApi, this.botName, this.avatarImage, this.wsUrl}) {
    print(
        'A instance of ConfigurationModel pointing to ${this.urlApi} was created');
  }

  static ConfigurationModel get instance {
    return _instance ?? ConfigurationModel._internal();
  }
}
