class MenusMessageModel {
  String type;
  String text;
  List<Menus> menus;

  MenusMessageModel({this.type, this.text, this.menus});

  MenusMessageModel.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    text = json['text'];
    if (json['menus'] != null) {
      menus = new List<Menus>();
      json['menus'].forEach((v) {
        menus.add(new Menus.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['text'] = this.text;
    if (this.menus != null) {
      data['menus'] = this.menus.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Menus {
  String contentType;
  String title;
  String type;
  String payload;

  Menus({this.contentType, this.title, this.type, this.payload});

  Menus.fromJson(Map<String, dynamic> json) {
    contentType = json['content_type'];
    title = json['title'];
    type = json['type'];
    payload = json['payload'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['content_type'] = this.contentType;
    data['title'] = this.title;
    data['type'] = this.type;
    data['payload'] = this.payload;
    return data;
  }
}
