class QuickReplyMessageModel {
  String text;
  List<QuickReplies> quickReplies;
  String channel;
  int sentTimestamp;
  String user;
  String to;
  String sessionId;
  String type;
  String sId;

  QuickReplyMessageModel(
      {this.text,
      this.quickReplies,
      this.channel,
      this.sentTimestamp,
      this.user,
      this.to,
      this.sessionId,
      this.type,
      this.sId});

  QuickReplyMessageModel.fromJson(Map<String, dynamic> json) {
    text = json['text'];
    if (json['quick_replies'] != null) {
      quickReplies = new List<QuickReplies>();
      json['quick_replies'].forEach((v) {
        quickReplies.add(new QuickReplies.fromJson(v));
      });
    }
    channel = json['channel'];
    sentTimestamp = json['sent_timestamp'];
    user = json['user'];
    to = json['to'];
    sessionId = json['sessionId'];
    type = json['type'];
    sId = json['_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['text'] = this.text;
    if (this.quickReplies != null) {
      data['quick_replies'] = this.quickReplies.map((v) => v.toJson()).toList();
    }
    data['channel'] = this.channel;
    data['sent_timestamp'] = this.sentTimestamp;
    data['user'] = this.user;
    data['to'] = this.to;
    data['sessionId'] = this.sessionId;
    data['type'] = this.type;
    data['_id'] = this.sId;
    return data;
  }
}

class QuickReplies {
  String contentType;
  String title;
  String payload;

  QuickReplies({this.contentType, this.title, this.payload});

  QuickReplies.fromJson(Map<String, dynamic> json) {
    contentType = json['content_type'];
    title = json['title'];
    payload = json['payload'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['content_type'] = this.contentType;
    data['title'] = this.title;
    data['payload'] = this.payload;
    return data;
  }
}
