import 'package:flutter/material.dart';
import 'package:risecx_chat_client/blocs/blocs.dart';
import 'package:risecx_chat_client/widgets/widgets.dart';

class ActionBar extends StatelessWidget {
  final ChatBloc bloc;
  final List<ActionBarButton> actions;

  const ActionBar({Key key, this.bloc, this.actions}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return StreamBuilder(
        stream: bloc.selecteMessagesToggleStream,
        builder: (BuildContext context, AsyncSnapshot snapshot) {
          Widget _widget = IgnorePointer();
          if (snapshot.hasData) {
            _widget = AppBar(
              automaticallyImplyLeading: false,
              actions: handledActionButtons(snapshot.data),
            );
          }
          return _widget;
        });
  }

  List<Widget> handledActionButtons(selectedMessage) {
    List<Widget> newActions = [];
    actions.forEach((action) {
      newActions.add(IconButton(
        icon: action.icon,
        onPressed: () {
          action.onPressed(selectedMessage);
        },
      ));
    });
    return newActions;
  }
}
