import 'package:flutter/material.dart';
import 'package:risecx_chat_client/models/models.dart';
import 'package:risecx_chat_client/widgets/chat/messages_types/message_widget.dart';
import 'package:risecx_chat_client/widgets/widgets.dart';

class ReceivedMessageWidget extends StatefulWidget {
  final Map message;
  final Function onPayloadPress;
  final Function onMediaView;
  const ReceivedMessageWidget(
      {Key key, this.message, this.onPayloadPress, this.onMediaView})
      : super(key: key);

  @override
  _ReceivedMessageWidgetState createState() => _ReceivedMessageWidgetState();
}

class _ReceivedMessageWidgetState extends State<ReceivedMessageWidget> {
  @override
  Widget build(BuildContext context) {
    double cWidth = MediaQuery.of(context).size.width * 0.8;
    return Row(
      mainAxisAlignment: MainAxisAlignment.start,
      children: <Widget>[
        SizedBox(width: 8),
        Container(
          height: 50.0,
          width: 50.0,
          child: new CircleAvatar(
            backgroundColor: Colors.transparent,
            foregroundColor: Colors.red,
            radius: 100.0,
          ),
          decoration: BoxDecoration(
              border: Border.all(
                color: Colors.white,
                width: 3.0,
              ),
              shape: BoxShape.circle,
              image: new DecorationImage(
                image: _botAvatar,
                fit: BoxFit.cover,
              )),
        ),
        Container(
            padding: const EdgeInsets.all(0),
            width: cWidth,
            child: Bubble(
                margin: BubbleEdges.only(top: 15, left: 5, right: 10),
                color: Color(0xFFEFF3F7),
                nip: null,
                child: MessageWidget(
                  message: widget.message,
                  onMediaView: widget.onMediaView,
                  onPayloadPress: widget.onPayloadPress,
                ))),
      ],
    );
  }

  ImageProvider get _botAvatar => ConfigurationModel
              .instance.avatarImage.isNotEmpty &&
          ConfigurationModel.instance.avatarImage.contains('default_bot_avatar')
      ? AssetImage(ConfigurationModel.instance.avatarImage,
          package: 'risecx_chat_client')
      : AssetImage(ConfigurationModel.instance.avatarImage);
}
