import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:risecx_chat_client/models/models.dart';
import 'package:risecx_chat_client/widgets/chat/messages_types/message_widget.dart';
import 'package:risecx_chat_client/widgets/widgets.dart';

import '../../../styles.dart';

class SentMessageWidget extends StatefulWidget {
  final dynamic message;
  const SentMessageWidget({Key key, this.message}) : super(key: key);

  @override
  _SentMessageWidgetState createState() => _SentMessageWidgetState();
}

class _SentMessageWidgetState extends State<SentMessageWidget> {
  @override
  Widget build(BuildContext context) {
    double cWidth = MediaQuery.of(context).size.width * 0.6;
    return Row(
      mainAxisAlignment: MainAxisAlignment.end,
      children: <Widget>[
        Container(
            padding: const EdgeInsets.all(0),
            width: cWidth,
            child: Bubble(
              margin: BubbleEdges.only(top: 10, right: 10),
              color: Color(0xFF895ff0),
              nip: null,
              child: MessageWidget(
                message: widget.message,
              ),
            )),
      ],
    );
  }

  ImageProvider get _userImageAvatar =>
      new AssetImage('assets/images/default-user.jpg',
          package: 'risecx_chat_client');
}
