import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:risecx_chat_client/models/models.dart';

class TextMessageWidget extends StatelessWidget {
  final dynamic message;

  const TextMessageWidget({Key key, this.message}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    TextMessageModel textModel = TextMessageModel.fromJson(message);
    return textModel.payloadTitle != null
        ? Padding(
            padding: EdgeInsets.only(top: 10.0, bottom: 10.0),
            child: Text(textModel.payloadTitle,
                style: TextStyle(
                    color:
                        (textModel.channel == null && textModel.to == null) ||
                                textModel.to != null
                            ? Colors.black
                            : Colors.white)),
          )
        : Padding(
            padding: EdgeInsets.only(top: 10.0, bottom: 10.0),
            child: Text(
              textModel.text,
              style: TextStyle(
                  color: (textModel.channel == null && textModel.to == null) ||
                          textModel.to != null
                      ? Colors.black
                      : Colors.white),
            ),
          );
  }
}
