import 'package:risecx_chat_client/models/messages/commons/commons.dart';

import 'package:flutter/material.dart';
import 'package:risecx_chat_client/styles.dart';

class CardWidget extends StatelessWidget {
  final Elements element;
  final Function onPayloadPress;
  const CardWidget(this.element, {Key key, this.onPayloadPress})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Container(
      child: Card(
        clipBehavior: Clip.antiAlias,
        elevation: 0.0,
        color: Colors.transparent,
        child: Column(
          mainAxisSize: MainAxisSize.min,
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: <Widget>[
            Container(
              width: MediaQuery.of(context).size.width,
              height: 200.0,
              decoration: BoxDecoration(
                color: Colors.red,
                image: DecorationImage(
                  image: NetworkImage(element.imageUrl),
                  fit: BoxFit.cover,
                ),
              ),
            ),
            _cardTitle,
            _cardSubTitle,
            _cardButtons
          ],
        ),
      ),
    );
  }

  Container buttons(List<Buttons> buttons) {
    List<Widget> outlinedButtons = new List();
    buttons.forEach((button) => outlinedButtons.add(SizedBox(
        width: double.infinity,
        child: OutlineButton(
          borderSide: BorderSide(
            color: Color(0xFF895ff0),
          ),
          textColor: Color(0xFF895ff0),
          splashColor: Color(0x66895ff0),
          child: Text(button.title),
          onPressed: () {
            onPayloadPress(button);
          },
        ))));

    return Container(
        margin: EdgeInsets.only(left: 10.00, right: 10.00),
        child: Column(
          mainAxisSize: MainAxisSize.max,
          children: outlinedButtons,
        ));
  }

  get _isImageOnlyElement => this.element.defaultAction != null;

  Widget get _cardTitle => !this._isImageOnlyElement
      ? Text(element.title, style: Styles.cardMessageTitleTextStyle)
      : IgnorePointer();

  Widget get _cardSubTitle =>
      !this._isImageOnlyElement && element.subtitle != null
          ? Text(element.subtitle, style: Styles.cardMessageTitleTextStyle)
          : IgnorePointer();

  Widget get _cardButtons =>
      element.buttons != null ? buttons(element.buttons) : IgnorePointer();
}
